/********************************************************************************
 * Copyright (c) 2019 in-tech GmbH
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

#pragma once
#include <map>
#include <memory>
#include <vector>

#include "include/systemConfigInterface.h"

class ParameterInterface;
namespace core
{
class AgentTypeInterface;
}  // namespace core

namespace Configuration
{

/// Class to store information on system configs
class SystemConfig : public SystemConfigInterface
{
public:
  const std::map<int, std::shared_ptr<core::AgentTypeInterface>>& GetSystems() const override;
  void SetSystems(std::map<int, std::shared_ptr<core::AgentTypeInterface>> systems) override;
  bool AddSystem(const int& systemId, const std::shared_ptr<core::AgentTypeInterface> system) override;
  void AddModelParameters(std::shared_ptr<ParameterInterface> modelParameters) override;

private:
  std::map<int, std::shared_ptr<core::AgentTypeInterface>> systems{};
  std::vector<std::shared_ptr<ParameterInterface>> parameters{};
};

}  //namespace Configuration
