#!/usr/bin/env bash

################################################################################
# Copyright (c) 2023 Bayerische Motoren Werke Aktiengesellschaft (BMW AG)
#
# This program and the accompanying materials are made available under the
# terms of the Eclipse Public License 2.0 which is available at
# http://www.eclipse.org/legal/epl-2.0.
#
# SPDX-License-Identifier: EPL-2.0
################################################################################

################################################################################
# This script checks the EOL format of the source files
################################################################################

MYDIR="$(dirname "$(readlink -f $0)")"
cd "$MYDIR/../../.." || exit 1

git add --renormalize .
git reset --quiet -- 'sim/src/common/version.*'   # ignore autogenerated file(s)

if ! git diff --cached --quiet; then
  echo "ERROR: Wrong EOL in following files:"
  git diff --cached --name-only | sed -e 's/^/- /'
  exit 1
fi

echo "SUCCESS: No EOL changes detected"
exit 0
