#!/bin/bash

################################################################################
# Copyright (c) 2021 in-tech GmbH
#               2024-2025 Bayerische Motoren Werke Aktiengesellschaft (BMW AG)
#
# This program and the accompanying materials are made available under the
# terms of the Eclipse Public License 2.0 which is available at
# http://www.eclipse.org/legal/epl-2.0.
#
# SPDX-License-Identifier: EPL-2.0
################################################################################

################################################################################
# This script runs the simulation core build and end-to-end tests
################################################################################

MYDIR="$(dirname "$(readlink -f $0)")"
cd "$MYDIR" || exit 1

for SCRIPT in 30_build.sh 55_endtoend.sh 80_doc.sh 89_check_version.sh 90_pack_artifacts.sh; do
  echo
  echo "======================================================================="
  echo "Executing ${SCRIPT}..."
  echo "======================================================================="
  echo

  ./$SCRIPT || exit 1
done
