#!/bin/bash

################################################################################
# Copyright (c) 2025 Bayerische Motoren Werke Aktiengesellschaft (BMW AG)
#
# This program and the accompanying materials are made available under the
# terms of the Eclipse Public License 2.0 which is available at
# http://www.eclipse.org/legal/epl-2.0.
#
# SPDX-License-Identifier: EPL-2.0
################################################################################

################################################################################
# This Script runs gtgen with common configs
################################################################################

if [[ "$(uname)" != "Linux" ]]; then
  echo "Skipping E2E tests on non-Linux platform"
  exit 0
fi
SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
OP_REPO_DIR="${OP_REPO_DIR:=$SCRIPT_DIR/../../..}"

if [[ -z "${GECCO_DIR}" ]]; then
  # If not defined, set a default value
  GTGEN_DIR="$SCRIPT_DIR/../../../../gtgen_cli"
  GECCO_DIR="$SCRIPT_DIR/../../../../gecco"
  echo "WARN: GECCO_DIR variable is not set. Setting it to:
        GECCO_DIR is ${GECCO_DIR}"
fi

mkdir -p "$SCRIPT_DIR/../../../../artifacts" || exit 1
mkdir -p "$SCRIPT_DIR"/../../../../artifacts/config_output || exit 1

GTGEN_VERSION="add-new-commandline-parameters"
GTGEN_CLI_PATH="$GTGEN_DIR/gt-gen-simulator-${GTGEN_VERSION}/bazel-out/k8-opt/bin/Cli"
CONFIGS_PATH="$OP_REPO_DIR/sim/contrib/examples/Common"

"${GTGEN_CLI_PATH}/gtgen_cli" -t 100 -s Scenario.xosc -d "${CONFIGS_PATH}" || exit 1;